Crack Functions
crack_closedict
Crack Functions
PHP Manual

# crack_check

(PECL crack >= 0.1)

crack_check — Performs an obscure check with the given password

### Description

bool crack_check ( resource `$dictionary` , string `$password` )
bool crack_check ( string `$password` )

Performs an obscure check with the given password on the specified dictionary.

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Parameters

`dictionary`

  The crack lib dictionary. If not specified, the last opened dictionary is used.

`password`

  The tested password.

### Return Values

Returns `TRUE` if `password` is strong, or `FALSE` otherwise.

Crack Functions
crack_closedict
Crack Functions
PHP Manual